Package org.springframework.test.context.web

# Annotation Interface WebAppConfiguration

@Target(TYPE) @Retention(RUNTIME) @Documented @Inherited public @interface WebAppConfiguration
`@WebAppConfiguration` is an annotation that can be applied to a test class to declare that the `ApplicationContext` loaded for an integration test should be a `WebApplicationContext`.

The presence of `@WebAppConfiguration` on a test class indicates that a `WebApplicationContext` should be loaded for the test using a default for the path to the root of the web application. To override the default, specify an explicit resource path via the `value()` attribute.

Note that `@WebAppConfiguration` must be used in conjunction with `@ContextConfiguration`, either within a single test class or within a test class hierarchy.

This annotation may be used as a meta-annotation to create custom composed annotations.

This annotation will be inherited from an enclosing test class by default. See `@NestedTestConfiguration` for details.

Since:
  3.2
Author:
  Sam Brannen
See Also:
  - `WebApplicationContext`
  - `ContextConfiguration`
  - `ServletTestExecutionListener`

## Optional Element Summary

Optional Elements
Modifier and Type
Optional Element
Description
`String`
`value`
The resource path to the root directory of the web application.

## Element Details

### value

String value
The resource path to the root directory of the web application.

A path that does not include a Spring resource prefix (for example, `classpath:`, `file:`, etc.) will be interpreted as a file system resource, and a path should not end with a slash.

Defaults to `"src/main/webapp"` as a file system resource. Note that this is the standard directory for the root of a web application in a project that follows the standard Maven project layout for a WAR.

Default:
  "src/main/webapp"